---
title: llarp::layers::flow::FlowLayer
summary: flow layer's context that holds all the things in the flow layer 

---

# llarp::layers::flow::FlowLayer



flow layer's context that holds all the things in the flow layer 


`#include <flow_layer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FlowLayer](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md#function-flowlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| [FlowIdentity](Classes/classllarp_1_1layers_1_1flow_1_1FlowIdentity.md) & | **[get_source_for](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md#function-get-source-for)**(const [flow::FlowTag](Classes/structllarp_1_1layers_1_1flow_1_1FlowTag.md) & tag)<br>get the local identity for a flow tag, autovivifies  |

## Public Functions Documentation

### function FlowLayer

```cpp
explicit FlowLayer(
    AbstractRouter & 
)
```


### function get_source_for

```cpp
FlowIdentity & get_source_for(
    const flow::FlowTag & tag
)
```

get the local identity for a flow tag, autovivifies 

-------------------------------

Updated on 2023-01-30 at 20:01:26 +0000