---
title: llarp::layers::platform::PlatformLayer
summary: owner of all platform layer components 

---

# llarp::layers::platform::PlatformLayer



owner of all platform layer components 


`#include <platform_layer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PlatformLayer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-platformlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| std::unique_ptr< [PlatformDriver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver.md) > | **[make_platform_driver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-make-platform-driver)**(PlatformKind kind =PlatformKind::ip)<br>make a new platform layer driver.  |

## Public Functions Documentation

### function PlatformLayer

```cpp
explicit PlatformLayer(
    AbstractRouter & 
)
```


### function make_platform_driver

```cpp
std::unique_ptr< PlatformDriver > make_platform_driver(
    PlatformKind kind =PlatformKind::ip
)
```

make a new platform layer driver. 

-------------------------------

Updated on 2023-01-30 at 20:01:26 +0000